Subject: Re: [PATCH 2.6] e100: remove reference to NAPI config option

From: Anton Blanchard <[email-masked]>
Date: Tue, 1 Feb 2005 12:43:58 +1100

Hi Scott,

> e100 is NAPI all the time, so the Kconfig option is wasting space.

Speaking of NAPI...

We have seen issues with NAPI on ppc64 on various cards in the past.
Its possibly due to missing memory barriers; the interrupt and read of
the interrupt status provide syncronization with DMA on the non NAPI
case. Without this you need to be very careful to order reads (eg
between reading the ring status and the packet data).

Anton